.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 { margin: 10px 0; color: #a8a8b1; }
.form-control {
    font-size: 14px;
    border: 1px solid #21253f;
    height: calc(2.3rem + 2px);
    background-color: #21253f;
    color: #a8a8b1;
}
::placeholder {
  color: #a8a8b1;
  opacity: 1; /* Firefox */
}

::-ms-input-placeholder { /* Edge 12-18 */
  color: #a8a8b1;
}
.select2-container .select2-selection--multiple {
    background-color: #21253f;
    border: 1px solid #21253f;
    color: #a8a8b1;
}
.login-page-bg { background-color:#181b2e; }
.topbar .topbar-left .logo { font-size:20px; font-weight:500; color:#d8dee4; }
.navbar-custom { background: #0f111d; }
.app-search .form-control, .app-search .form-control:focus { border: 1px solid #181b2e; color: #dee2e6; background: #181b2e; }
.navbar-custom .nav-link { color: #ced4da; }
.page-wrapper .page-wrapper-inner { background-color: #0f111d; }
.left-sidenav { background-color: #181b2e; }
.left-sidenav-menu li>a { color: #7a7c88; }
.left-sidenav-menu li>a:hover, .left-sidenav-menu li.active > a { color: #a3a5b3; }
.card { -webkit-box-shadow: 0 0 24px 0 rgba(0, 0, 0, .06), 0 1px 0 0 rgba(0, 0, 0, .02); box-shadow: 0 0 24px 0 rgba(0, 0, 0, .06), 0 1px 0 0 rgba(0, 0, 0, .02); background-color: #181b2e; }
.footer { border-top: 1px solid #181b2e; color: #ced4da;}
select[name="datatable2_length"], #datatable2_filter input { border: 1px solid #2c3046; color: #ced4da; background: #181b2e; }
select[name="datatable2_length"]:focus, #datatable2_filter input:focus { border: 1px solid #2c3046; color: #ced4da; background: #181b2e; }
.header-title, .title-text { color: #b8bdc3; text-shadow: 0 0 1px rgba(0, 0, 0, .1); }
.table { color: #6c757d; }
.table thead th { color: #ced4da !important; background-color: #2c3046; border-color: #363b56; }
div.dataTables_wrapper div.dataTables_info { color:#6c757d; }
.dropdown-menu { border-color: #343a40; background-color: #1d2138; }
table { border-collapse: collapse; border-spacing: 0; width: 100%; }
.dropdown-item, .dropdown-item-text {
    color: #a8a8b1;
}
.dropdown-item:focus, .dropdown-item:hover {
    color: #f8f9fa;
    text-decoration: none;
    background-color: #141727;
}
.dropdown-divider {
    border-top: 1px solid #343a40;
}
.card-full-height {
    height: calc(100% - 20px);
}
.card-full-height .badge { margin-bottom:5px; }
span.badge[style="background-color:rgb(255, 0, 0)"] { background-color: #f93b7a !important; }
span.badge[style="background-color:#18f262"] { background-color:#1ecab8 !important; }
span.badge[style="background-color:rgb(0, 0, 255);"], span.badge[style="background-color:rgb(0, 0, 255)"] { background-color:#444499 !important; }
.table td { vertical-align: middle; color: #6c757d; border-top: 1px solid #21253f; }
.page-item.disabled .page-link { color: #6c757d; background-color: transparent; border-color: #2c3046; }
.pagination .page-item.active .page-link { background-color: #2c3046; border-color: #2c3046; color: #ffffff; }
table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before { position:static; }
.navbar-custom .topbar-nav li {
    float: left;
    margin-left: 30px;
}
.page-title-box .float-right {
    float: none !important;
    position: absolute;
    bottom: 20px;
}
.page-title-box {
    padding-bottom: 65px;
}
table.dataTable>tbody>tr.child ul li { color:#6c757d; border-top:1px solid #21253f !important; }
table.dataTable>tbody>tr.child ul li { border-bottom: 1px solid #21253f; }
.dataTables_length, .dataTables_filter { text-align:left !important; }
div.dataTables_wrapper div.dataTables_length select, #datatable2_filter input { height:32px; }
tr.child td.child { padding: 0px !important;}
tr.child td.child br { display:none; }
tr.child td.child .custom-select { width:auto; }
table.dataTable>tbody>tr.child ul { width: 100%; }
table.dataTable>tbody>tr.child ul li:first-child {
    padding-top: 0.5em;
}

@media only screen and (min-width: 480px) {
.page-title-box .float-right { float:right !important; position:static; }
.page-title-box { padding-bottom: 30px; }
}

@media only screen and (min-width:992px) {
div.dataTables_wrapper div.dataTables_length select, #datatable2_filter input { height:40px; }
.dataTables_filter { text-align:right !important; }
}